Update Order

Updates an existing order by its ID.

Orders are the central resource in the API. Updating an order may also update related order sub-resources when they are included in the request payload, according to server-side validations.

Only fields supported by the API can be modified.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Identifier of the resource

Body Params

requested field for an order

Order update payload. Only supported fields can be modified.

string
length ≤ 3

Currency code in ISO 4217 (3-letter uppercase).

customer_info
line_items
array of objects

List of products that are sold in the order. You must have at least one product.

line_items
charges
array of objects
charges
discount_lines
array of objects

List of discounts that are applied to the order. You must have at least one discount.

discount_lines
tax_lines
array of objects
tax_lines
string | null

Existing shipping contact id from the customer to link to this order.

shipping_contact
object

Shipping
details, required in case of sending a shipping. If we do not receive a shipping_contact on the order, the default shipping_contact of the customer will be used.

shipping_lines
array of objects

List of shipping costs. If the online store offers digital products.

shipping_lines
string | null

Existing fiscal entity id from the customer to link to this order.

fiscal_entity
object

Fiscal entity of the order, Currently it is a purely informative field

string

URL where the customer should be redirected after completing a payment flow (if applicable).

metadata
object

Arbitrary key-value data that you can attach to the order for your internal use. It is not used for payment processing. Keys should be strings; values can be any JSON value.

string

Order status update (only allowed transitions will be accepted).

Headers
string
enum
Defaults to es

Use for knowing which language to use

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/vnd.app-v2.1.0+json